#
# spec file for package xosview (Version 1.7.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xosview
Copyright:    1994-98 Mike Romberg
Group:        Applications/System
Provides:     xosview
Autoreqprov:  on
Version:      1.7.3
Release:      266
Summary:      Info on the system load
Source: xosview-1.7.3.tar.gz
Source1: rc.config.xosview
Patch:  xosview-1.7.3.dif
Patch1: xosview-1.7.3-procsys.patch

%description
A small program - similar to xsysinfo which is mostly configurable using
resources via ~/.Xresources. Shows actual CPU, swap, memory, active
interrupts and -if wanted- netpacket statistics.
If you want to get informations about 'network traffic' you still have to
call ipfwadm (included in the same package) to activate this as root.
This might look like:
/sbin/ipfwadm -A -a -P all -S <own IP-address> -D 0/0
/sbin/ipfwadm -A -a -P all -S 0/0 -D <own IP-address>
Please have a look at /usr/share/doc/packages/xosview/README.linux.
For showing shared pages, the module
memstat.o
has to be loaded with insmod.  The source of the module is located
in /usr/share/doc/packages/xosview/memstat/.
The installation is necessary only after an upgrade of the kernel.

Authors:
--------
    Mike Romberg <romberg@md.fsl.noaa.gov>

SuSE series: xap

%package -n km_memst
Summary:      Sources for memstat kernel module
Group:        System Environment/Kernel

%description -n km_memst
ONLY FOR INTERNAL USE!

SuSE series: suse

%prep
%setup
cd linux/
%patch1 -p0 -b ".procsys"
cd    ../
%patch
%{?suse_update_config:%{suse_update_config -f config}}

%build
%ifarch ppc
export SYSTEM=powerpc-suse-linux
%else
export SYSTEM=%{_target_cpu}-suse-linux
%endif
(cd config/; autoconf; cp configure ../)
./configure --enable-linux-memstat --with-x --enable-auto-depend \
	--enable-linux-syscalls --prefix=/usr/X11R6 \
	--disable-linux-memstat \
	--host=$SYSTEM
make clean
#Generate Source for kernel module
rm -rf /usr/src/kernel-modules/memstat
mkdir -p /usr/src/kernel-modules/memstat
cp -p linux/memstat/* /usr/src/kernel-modules/memstat
cp config/Makefile.linux.memstat.in /usr/src/kernel-modules/memstat/Makefile.module
make CXX=g++

%install
make install
make install-man
mkdir -p %{_docdir}/xosview/
install -o root -g root -m 0444 README          %{_docdir}/xosview/
install -o root -g root -m 0444 README.linux    %{_docdir}/xosview/
install -o root -g root -m 0444 README.security %{_docdir}/xosview/
mv /usr/X11R6/bin/xosview /usr/X11R6/bin/xosview.bin
install -o root -g root -m 755 xosview.sh /usr/X11R6/bin/xosview
%ifnarch ia64
#make -C linux/memstat install
%endif
install -o root -g root -m 755 xosview.sh /usr/X11R6/bin/xosview
chmod 0755 /usr/X11R6/bin/xosview
chmod 0755 /usr/X11R6/bin/xosview.bin
mkdir -p %{_docdir}/xosview/memstat
install -o root -g root -m 0444 config/Makefile.linux.memstat.in \
	%{_docdir}/xosview/memstat/Makefile
pushd linux/memstat
install -o root -g root -m 0444 README memstat-2.0.c memstat-2.1.c \
	memstat-2.2.c  %{_docdir}/xosview/memstat
mkdir -p /var/adm/fillup-templates
install %{SOURCE1} /var/adm/fillup-templates

%post
if [ -r usr/doc/packages/xosview/README.security ] ; then
    cp usr/doc/packages/xosview/README.security \
       var/adm/notify/messages/xosview-security
fi
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.xosview
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.xosview and"
  echo "update by hand."
fi

%files
/usr/X11R6/bin/xosview
/usr/X11R6/bin/xosview.bin
%config /usr/X11R6/lib/X11/app-defaults/XOsview
%doc /usr/X11R6/man/man1/xosview.1.gz
%dir %{_docdir}/xosview/
%doc %{_docdir}/xosview/README
%doc %{_docdir}/xosview/README.linux
%dir %{_docdir}/xosview/memstat/
%{_docdir}/xosview/memstat/Makefile
%doc %{_docdir}/xosview/memstat/README
%{_docdir}/xosview/memstat/memstat-2.0.c
%{_docdir}/xosview/memstat/memstat-2.1.c
%{_docdir}/xosview/memstat/memstat-2.2.c
/var/adm/fillup-templates/rc.config.xosview
%ifnarch ia64

%files -n km_memst
%dir /usr/src/kernel-modules
/usr/src/kernel-modules/memstat
%endif

%changelog -n xosview
* Wed Jun 27 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Fri Mar 16 2001 - ro@suse.de
- don't build memstat module during build
  n/a for 2.4 kernels anyway
* Fri Jan 12 2001 - werner@suse.de
- Enable /proc/net/dev usage of xosview
* Wed Dec 13 2000 - ro@suse.de
- added rc.config snippet for variable LOAD_MEMSTAT_MODULE
* Thu Nov 30 2000 - ro@suse.de
- don't try to compile memstat for 2.4
* Mon Aug 14 2000 - schwab@suse.de
- Don't build memstat module on ia64.
- Fix intmeter for ia64.
- Add %%suse_update_config.
* Sun Aug 06 2000 - kukuk@suse.de
- Add CFLAGS and CC variable for UltraSPARC
* Wed Jun 21 2000 - werner@suse.de
- Add patch which allows kernels without CONFIG_SYSCTL
* Wed May 24 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Thu May 11 2000 - ro@suse.de
- fixed intmeter for alpha
* Thu Mar 16 2000 - kukuk@suse.de
- Remove SerialMeter for SPARC
* Thu Mar 09 2000 - ro@suse.de
- removed k_deflt from neededforbuild
* Sun Mar 05 2000 - kukuk@suse.de
- Fix handling of SMP configuration
- Don't include memstat module, create source package instead
* Fri Mar 03 2000 - werner@suse.de
- Make pattern for DRVver to `1.*' to catch all 1.X drivers
* Fri Feb 25 2000 - werner@suse.de
- Secure method to test if we have a *working* system battery (in
  the absolute most cases this means we are running on a notebook)
* Thu Feb 10 2000 - ro@suse.de
- replaced kernmod by k_deflt
* Mon Feb 07 2000 - kasal@suse.de
- app-defaults files should be %%config
* Thu Nov 25 1999 - uli@suse.de
- disabled serial meter for PPC
* Wed Nov 24 1999 - kettner@suse.de
- bug workaround for AXP /proc/stat problem
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - ro@suse.de
- set kernel-version to 2.2.12
* Tue Aug 24 1999 - ro@suse.de
- use .c instead of .$(FEXT) ... to make it compile on alpha
* Fri Jul 16 1999 - ro@suse.de
- modified to contain own modules
* Thu Jul 08 1999 - werner@suse.de
- Fix option handling in xosview script
* Wed Mar 10 1999 - ro@suse.de
- adapted to old kernmod
  Mar  5 16:38:37 MET 1999 - werner@suse.de
- Upgrade to 1.7.1
  * Fix XOsview to handle graphs in the old way
  * Change makefile of memstat to detect configuration
  at runtime (MODVERSIONS, SMP, RELEASE)
* Mon Dec 14 1998 - ro@suse.de
- enable net if proc/net/ip_fwchains exists (or proc/net/ip_acct)
* Tue Nov 24 1998 - ro@suse.de
- use gcc
* Wed Nov 11 1998 - ro@suse.de
- detect kernel-version from UTS-Release (not from uname -r)
* Thu May 28 1998 - werner@suse.de
- New version 1.6.0
- Remove suid bit from binary
- Add a message for sending after installation
* Wed Feb 11 1998 - werner@suse.de
- New revision
* Tue Nov 04 1997 - werner@suse.de
- New revision
  * with module support to count shared pages only once
  * Swap page in/out
